Create industry revenue formulas

This API creates an industry revenue formula from scratch, or adopts an Ocrolus-suggested formula by passing its uuid as suggested_formula_uuid.

When suggested_formula_uuid is provided, naics_codes and deduction_tags are optional and will default to the values from the suggested formula. You can still override them by including them in the request body.

This feature is also available in the Ocrolus Dashboard, where you can browse and adopt suggested formulas from the Industry Revenue Formulas page. To learn more, see the Industry revenue formulas guide.


📘

Manager role required

This operation requires the manager role on your Ocrolus user account.

🚀

Early access

Industry-aware revenue formulas are currently available as an early access feature. To enable this feature for your organization, contact your Ocrolus account manager.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Example of body to be sent to create industry revenue formula.

📘

Choose workflow

  • Create from scratch: Define your own naics_codes and deduction_tags.
  • Adopt a suggested formula: Pass a suggested_formula_uuid to inherit Ocrolus-recommended settings.
string
required

Formula name. Must be unique within your organization.

naics_codes
array of strings
required

A list of 2-digit or 4-digit industry codes that this formula applies to. Each code must be unique across all formulas in your organization, no two formulas can share or partially share a code. A 2-digit code and a 4-digit code partially share when the 4-digit code begins with the 2-digit code. For example, 62 and 6211 clash because 6211 starts with 62.

naics_codes*
deduction_tags
array of strings
required

Valid organization deduction tags. Required unless suggested_formula_uuid is provided.The reserved tags revenue and revenue_deduction are not permitted. If your organization has custom tags, you can type them in directly in addition to the values listed here.

deduction_tags*
boolean

Whether the formula is applied immediately upon creation.

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Choose an example:
application/json